/* e.g. if no text (p tag) follows the toc but an img (or <a><img>) */
.toctree-wrapper.compound {
  margin-bottom: .5rem;
}

article figure figcaption p {
  margin-top: -.35rem;
  margin-bottom: .5rem !important;
}
/* converter includes another empty p>span */
article figure figcaption p:has(>span:empty) {
  display: none;
}


/* align table left on the website */
/* Alle Sphinx-Tabellen linksbündig */
table.docutils {
  margin-left: 0;
  margin-right: auto;
}

/* colored cells */
table.docutils td:has(span), table.docutils th:has(span) {
  padding: 0;
}
table.docutils td p:has(span), table.docutils th p:has(span) {
  margin: 0;
}
table.docutils td p span.raw-html {
  display: inline-block;
  width: 100%;
}
table.docutils td p span.raw-html span {
  display: inline-block;
  width: calc(100% - 1.0rem);
  padding: 0.25rem 0.5rem;
}

/* sphinxcontrib.images */
.lb-outerContainer {
  /* background-color: #fff; */
  background-color: var(--color-background-primary);
}
.lightbox .lb-image {
  /* border: 4px solid #fff; */
  border: 4px solid var(--color-code-background);
}



/* Restricted access link styling */
.restricted a {
  color: #c0392b !important;
  font-style: italic;
}
/* .restricted a::before { */
/*   content: "🔒 "; */
/* } */


/* Farben definieren für KOREANISCH oder andere Sprachen */
.r-blue { color: #5696bc; font-weight: bold; }
.r-yellow { color: #bcab56; }
.r-green { color: #56bc6c; }
.r-red { color: #bc5668; }
